#! /bin/sh

# Set the port number.
port=4020
if [ $1 ]
then 
    port=$1
fi

# Set delay for restart.
delay=5
if [ $2 ]
then
    delay=$2
fi

# Set limits.
ulimit -c unlimited

while [ 1 ] 
do

    # Run Anaria.
    # Check if already running
    matches=`netstat -an | grep ":$port " | grep -c LISTEN`
    if [ $matches -ge 1 ]
    then
        # Already running
        echo "Port $port jest obecnie używany."
        exit 0
    fi

    ./anaria $port
    
    if [ $? -eq 0 ] 
    then
	exit 0
    fi
    
    sleep $delay
done
