/*
 * Copyright (C), 2010,2011 Bartek thindil Jasicki
 *
 * This file is part of Anaria.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
//npcraces.c - races for npcs

#include "../mud.h"
#include "../body.h"
#include "../races.h"
#include "races2.h"

void init_npcraces(void)
{
  add_race("gryzoń", "gry", getBody(BODYSIZE_DIMINUITIVE, "quadruped"), FALSE);
  add_race("mały pełzacz", "mpe", getBody(BODYSIZE_SMALL, "crawler"), FALSE);
  add_race("pełzacz", "pel", getBody(BODYSIZE_MEDIUM, "crawler"), FALSE);
  add_race("duży pełzacz", "dpe", getBody(BODYSIZE_LARGE, "crawler"), FALSE);
  add_race("pies", "pies", getBody(BODYSIZE_SMALL, "quadruped"), FALSE);
  add_race("mały kot", "mkot", getBody(BODYSIZE_TINY, "quadruped"), FALSE);
  add_race("duży kot", "dkot", getBody(BODYSIZE_SMALL, "quadruped"), FALSE);
  add_race("humanoid", "hum", getBody(BODYSIZE_SMALL, "human"), FALSE);
  add_race("nieumarły", "nie", getBody(BODYSIZE_MEDIUM, "human"), FALSE);
  add_race("skrzydlaty humanoid", "shum", getBody(BODYSIZE_MEDIUM, "humanwings"), FALSE);
  add_race("humanoid z ogonem", "thum", getBody(BODYSIZE_MEDIUM, "humantail"), FALSE);
  add_race("duży humanoid", "dhum", getBody(BODYSIZE_LARGE, "human"), FALSE);
  add_race("mały insekt", "mins", getBody(BODYSIZE_TINY, "insect"), FALSE);
  add_race("insekt", "inse", getBody(BODYSIZE_SMALL, "insect"), FALSE);
  add_race("duży insekt", "dins", getBody(BODYSIZE_MEDIUM, "insect"), FALSE);
  add_race("koń", "kon", getBody(BODYSIZE_MEDIUM, "quadruped"), FALSE);
}
